

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/ds.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/pcmcia/ds.c~pcmcia-clean-up-cs-ds-callback-fix drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-clean-up-cs-ds-callback-fix	2005-03-20 17:23:24.000000000 -0800
+++ 25-akpm/drivers/pcmcia/ds.c	2005-03-20 17:23:44.000000000 -0800
@@ -1166,6 +1166,12 @@ int pcmcia_deregister_client(client_hand
 } /* deregister_client */
 EXPORT_SYMBOL(pcmcia_deregister_client);
 
+static struct pcmcia_callback pcmcia_bus_callback = {
+	.owner = THIS_MODULE,
+	.event = ds_event,
+	.requery = pcmcia_bus_rescan,
+};
+
 static int __devinit pcmcia_bus_add_socket(struct class_device *class_dev)
 {
 	struct pcmcia_socket *socket = class_get_devdata(class_dev);
@@ -1213,12 +1219,6 @@ static int __devinit pcmcia_bus_add_sock
 	return 0;
 }
 
-static struct pcmcia_callback pcmcia_bus_callback = {
-	.owner = THIS_MODULE,
-	.event = ds_event,
-	.requery = pcmcia_bus_rescan,
-};
-
 static void pcmcia_bus_remove_socket(struct class_device *class_dev)
 {
 	struct pcmcia_socket *socket = class_get_devdata(class_dev);
_
